Page MenuHomePhabricator

Make jsub warn when run without `-l release=...`
Closed, ResolvedPublic

Description

Warn users of the impending default behavior change of jsub to default to trusty by emitting a warning when no release is specified.

Also warn users of the deprecation of precise by emitting a warning when release=precise is specified.

Event Timeline

bd808 created this task.Aug 17 2016, 10:48 PM
bd808 updated the task description. (Show Details)Aug 17 2016, 10:51 PM

Change 307461 had a related patch set uploaded (by BryanDavis):
jsub: Add warnings for precise deprecation

https://gerrit.wikimedia.org/r/307461

Change 307463 had a related patch set uploaded (by BryanDavis):
webservice: Warn when using lighttpd-precise

https://gerrit.wikimedia.org/r/307463

bd808 claimed this task.Aug 30 2016, 4:01 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptAug 30 2016, 4:01 PM
bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.Aug 30 2016, 4:01 PM
bd808 moved this task from Backlog to Doing on the Community-Tech-Tool-Labs board.

Change 307461 merged by jenkins-bot:
jsub: Add warnings for precise deprecation

https://gerrit.wikimedia.org/r/307461

Change 307463 merged by jenkins-bot:
webservice: Warn when using lighttpd-precise

https://gerrit.wikimedia.org/r/307463

bd808 closed this task as Resolved.Sep 8 2016, 10:56 PM

Updated versions of jsub and webservice have been deployed.

bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Oct 4 2016, 5:43 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Oct 17 2016, 3:25 PM